<?xml version="1.0"?>
<!-- This Source Code Form is subject to the terms of the Mozilla Public
   - License, v. 2.0. If a copy of the MPL was not distributed with this
   - file, You can obtain one at http://mozilla.org/MPL/2.0/. -->

<?xml-stylesheet href="chrome://global/skin/global.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/smime/msgCompSecurityInfo.css" type="text/css"?>
<?xml-stylesheet href="chrome://messenger/skin/themeableDialog.css" type="text/css"?>

<!DOCTYPE html SYSTEM "chrome://messenger-smime/locale/msgCompSecurityInfo.dtd">

<html id="msgCompSecurityInfo" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:xul="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
      xmlns:html="http://www.w3.org/1999/xhtml"
      lightweightthemes="true"
      scrolling="false">
<head>
  <title>&title.label;</title>
  <script defer="defer" src="chrome://messenger/content/dialogShadowDom.js"></script>
</head>
<html:body xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">
<dialog buttons="accept">
  <stringbundle id="bundle_smime_comp_info" src="chrome://messenger-smime/locale/msgCompSecurityInfo.properties"/>

  <description>&subject.plaintextWarning;</description>
  <separator class="thin"/>
  <description>&status.heading;</description>
  <hbox>
    <vbox>
      <label value="&status.signed;"/>
      <label value="&status.encrypted;"/>
    </vbox>
    <vbox>
      <label id="signed"/>
      <label id="encrypted"/>
    </vbox>
  </hbox>

  <separator class="thin"/>
  <label value="&status.certificates;" control="infolist"/>

  <richlistbox id="infolist"
               class="theme-listbox"
               flex="1"
               onselect="onSelectionChange(event);">
    <treecols>
      <treecol flex="3" label="&tree.recipient;"/>
      <treecol flex="1" label="&tree.status;"/>
      <treecol flex="2" label="&tree.issuedDate;"/>
      <treecol flex="2" label="&tree.expiresDate;"/>
    </treecols>
  </richlistbox>
  <hbox pack="start">
    <button id="viewCertButton" disabled="true"
            label="&view.label;" accesskey="&view.accesskey;"
            oncommand="viewSelectedCert();"/>
  </hbox>
</dialog>
<html:script src="chrome://messenger-smime/content/msgCompSecurityInfo.js">//see bug 1752288</html:script>
</html:body>
</html>
